/*
 * Atm_led_mcp.cpp
 *
 *  Created on: 09.12.2017
 *      Author: ian
 */

#include <Atm_led_WS2812.h>
#include <Atm_led.hpp>

Atm_led_WS2812::Atm_led_WS2812(CRGB& _leds ):
	Atm_led(),
	leds(_leds) {
	// nothing to see here
}

void Atm_led_WS2812::initLED() {
	leds = CRGB::White;
	FastLED.show() ;
	Serial.printf("WS2812 init  %x\n", pin);
}

void Atm_led_WS2812::switchOn() {
	leds = CRGB( 0, 255, 255);
	// leds[pin].r = 255;
	// leds[pin].g = 255;
	// leds[pin].b = 255;
	FastLED.show() ;
}

void Atm_led_WS2812::switchOff() {
	leds = CRGB::Black ;
	FastLED.show() ;
}

void Atm_led_WS2812::setBrightness(int r, int g, int b) {
	leds = CRGB( 50, 100, 150);
	// leds[pin].r = r;
	// leds[pin].g = g;
	// leds[pin].b = b;
	FastLED.show() ;
}
